nvme_export_tls_key(2)

NAME
nvme_export_tls_key - Export a TLS key

SYNOPSIS
char * nvme_export_tls_key (const unsigned char *key_data , int key_len );

ARGUMENTS

key_data
    Raw data of the key

key_len
    Length of key_data

DESCRIPTION
Returns key_data in the PSK Interchange format as defined in section 3.6.1.5 of the NVMe TCP Transport specification.

RETURN
The string containing the TLS identity or NULL with errno set on error. It is the responsibility of the caller to free the returned string.